View Issue Details

IDProjectCategoryView StatusLast Update
13112Bug reports[All Projects] Theme editorpublic2018-02-09 17:02
ReporterfvanderstarreAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionreopened 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.1.x 
Summary13112: Changes to custom .css do not seem to have any effect
DescriptionAfter installing LS 3.0.1, I extended the vanilla theme and put this in custom.css:
.ls-question-message {
    display: none;
}

.ls-em-tip {
    display: none;
}
However, question tips are still being displayed when doing the survey using this theme.
See also issue 12932.
Steps To ReproduceSee above (concerns stable release 3.0.1 !)
Additional InformationTemplate zip file included
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0.1 build 171228
I will donate to the project if issue is resolvedNo
BrowserAny
Database & DB-VersionMS-SQL 2008 R2
Operating System (Server)Linux RHEL 7
Webserver software & versionApache 2.4.6
PHP Version5.6.32

Activities

fvanderstarre

fvanderstarre

2018-01-02 10:35

reporter  

AMC_vanilla.zip (129,532 bytes)
LouisGac

LouisGac

2018-01-08 11:14

developer   ~45445

please add a screenshot of the element explorer to see which styles are applied.
it's probably just a problem of specifity:
https://developer.mozilla.org/en-US/docs/Web/CSS/Specificity
fvanderstarre

fvanderstarre

2018-01-08 11:31

reporter   ~45453

Must have been a browser or session cache issue. It's working fine now. Thx, please close the issue.
fvanderstarre

fvanderstarre

2018-01-12 10:22

reporter   ~45569

After installing 3.0.2 and extending bootswatch theme to AMC_bootswatch, problem has returned.
See screen shot and attached template. Please reopen issue....

AMC_bootswatch.zip (175,073 bytes)
qtip_displayed.jpg (87,902 bytes)
qtip_displayed.jpg (87,902 bytes)
fvanderstarre

fvanderstarre

2018-01-15 10:05

reporter   ~45599

Well.. looks like it's solved in 3.0.3.
fvanderstarre

fvanderstarre

2018-01-19 11:17

reporter   ~45913

I wasn't aware before of the impact of debug setting in config.php - in my test environment this is set to 1, so asset manager is turned off..... that will explain why template changes weren't visible right away. Pffff.....
LouisGac

LouisGac

2018-01-19 12:56

developer   ~45915

I added this to the doc yesterday:
https://manual.limesurvey.org/New_Template_System_in_LS3.x#FAQ_about_theme_customization
tbednall

tbednall

2018-02-04 12:27

reporter   ~46241

I'm using Version 3.1.1+180130, and I'm still having problems with the Asset manager. I create an extension of the bootswatch theme. Using the Theme Editor, I made some changes to "custom.css" and clicked on the "Copy to local template and save changes".

According to the theme editor, it saved it under: upload/themes/survey/extends_bootswatch2/css/custom.css.

When I launched my survey and viewed the HTML source, it claimed the custom.css file was located at: tmp/assets/5a4dff2b/css/custom.css. However, there was no file at this location when I checked it.

I suspect that the asset manager is dropping custom.css in the wrong location. I've consulted the document above about theme customisation, but it hasn't helped.
LouisGac

LouisGac

2018-02-05 11:08

developer   ~46248

tbednall: can you please upload here your custom survey theme ?
tbednall

tbednall

2018-02-06 00:05

reporter   ~46272

Here it is. I found a workaround by uploading thie "custom.css" file to the location of the URL specified in the source HTML code (there was no file there). However, it would be nice to use the theme editor to make changes to custom.css directly.


/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
    Does it update?
*/


[data-number='1'] {
    text-align: left;
}

#outerframeContainer {
    max-width: 1080px
}

.hidden-question {
    display: none;
}
Big_Lemon

Big_Lemon

2018-02-06 15:12

reporter   ~46286

I have the same problem:

custom.css entries of extended template does not have any influence. The assets folder "81ea70ff" found in the sourcecode of the survey does not have any file inside.
c_schmitz

c_schmitz

2018-02-09 17:02

administrator   ~46361

Version 3.3.0 released

Issue History

Date Modified Username Field Change
2018-01-02 10:35 fvanderstarre New Issue
2018-01-02 10:35 fvanderstarre File Added: AMC_vanilla.zip
2018-01-08 11:14 LouisGac Note Added: 45445
2018-01-08 11:31 fvanderstarre Note Added: 45453
2018-01-08 11:44 LouisGac Assigned To => LouisGac
2018-01-08 11:44 LouisGac Status new => closed
2018-01-08 11:44 LouisGac Resolution open => fixed
2018-01-08 11:44 LouisGac Status closed => feedback
2018-01-08 11:44 LouisGac Resolution fixed => reopened
2018-01-08 11:44 LouisGac Assigned To LouisGac => olle
2018-01-08 11:47 LouisGac Status feedback => closed
2018-01-12 10:22 fvanderstarre File Added: AMC_bootswatch.zip
2018-01-12 10:22 fvanderstarre File Added: qtip_displayed.jpg
2018-01-12 10:22 fvanderstarre Note Added: 45569
2018-01-12 10:27 olle Status closed => new
2018-01-12 11:58 olle Assigned To olle =>
2018-01-15 10:05 fvanderstarre Note Added: 45599
2018-01-19 11:17 fvanderstarre Note Added: 45913
2018-01-19 12:56 LouisGac Note Added: 45915
2018-01-26 18:14 LouisGac Assigned To => LouisGac
2018-01-26 18:14 LouisGac Status new => resolved
2018-01-26 18:14 LouisGac Fixed in Version => 3.1.x
2018-02-04 12:27 tbednall Note Added: 46241
2018-02-05 11:08 LouisGac Note Added: 46248
2018-02-06 00:05 tbednall Note Added: 46272
2018-02-06 15:12 Big_Lemon Note Added: 46286
2018-02-09 17:02 c_schmitz Note Added: 46361
2018-02-09 17:02 c_schmitz Status resolved => closed